org.apache.cassandra.utils

## Interface CloseableIterator<T>

All Superinterfaces:
  java.lang.AutoCloseable, java.util.Iterator<T>

All Known Subinterfaces:
  BasePartitionIterator<I>, BaseRowIterator<U>, IMergeIterator<In,Out>, ISSTableScanner, PartitionIterator, RowIterator, UnfilteredPartitionIterator, UnfilteredRowIterator

All Known Implementing Classes:
  AbstractBTreePartition.SlicesIterator, AbstractSSTableIterator, AbstractUnfilteredPartitionIterator, AbstractUnfilteredRowIterator, AggregationQueryPager.AggregationPartitionIterator, AggregationQueryPager.GroupByPartitionIterator, BasePartitions, BaseRows, BigTableScanner, BigTableScanner.EmptySSTableScanner, CompactionIterator, FilteredPartitions, FilteredRows, KeyIterator, LazilyInitializedUnfilteredRowIterator, Memtable.MemtableUnfilteredPartitionIterator, MergeIterator, ReducingKeyIterator, RowAndDeletionMergeIterator, SingletonUnfilteredPartitionIterator, SSTableIdentityIterator, SSTableIterator, SSTableReversedIterator, StreamReader.StreamDeserializer, UnfilteredRowIteratorWithLowerBound, WrappingUnfilteredRowIterator

    public interface CloseableIterator<T>
    extends java.util.Iterator<T>, java.lang.AutoCloseable

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `close()`

### Methods inherited from interface java.util.Iterator

`forEachRemaining, hasNext, next, remove`

### Method Detail

#### close

    void close()

Specified by:
  `close` in interface `java.lang.AutoCloseable`